Name: libpciaccess
Version: 0.10
Release: alt2
Serial: 1
Summary: X.org libpciaccess library
License: MIT/X11
Group: System/Libraries
Url: http://xorg.freedesktop.org
Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Source: %name-%version.tar.bz2

Patch10: libpciaccess-0.10-git-read-from-0-sized-bug13988.patch
Patch11: libpciaccess-0.10-git-function-prototypes-cpp.patch

BuildRequires: xorg-x11-util-macros

%description
Library providing generic access to the PCI bus and devices.

%package devel
Summary: The pciaccess Library and Header Files
Group: Development/C
Requires: %name = %version-%release

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%def_disable static

%prep
%setup -q

%patch10 -p1
%patch11 -p1

%build
%autoreconf
%configure \
	--with-pciids-path=%_datadir/hwdatabase \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Fri Apr 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10-alt2
- Fix reads from "0"-sized ROMs
- Fix function prototypes for C++

* Fri Mar 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10-alt1
- 0.10 release

* Thu Nov 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.10.0-alt2
- GIT snapshot 2007-10-23 (e392082abb5696c8837224da86cc0af4f21d7010)

* Fri Sep 07 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.10.0-alt1
- 0.10.0

* Tue Aug 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Sat Mar 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.8.0-alt1
- initial release
